/* arrumar scroll da pagina -> vídeo aula 03 1:19:00 */

@import url("https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "Nova Flat - Regular";
  src: url(fonts/NovaFlat-Regular.ttf);
  font-weight: 800;
}

:root {
  --bg-color: #090a18;
  --primary-color: #22225e;
  --secondary-color: #39acbb;
  --tertiary-color: #f1ff32;
  --white-color: #fff;
  --black-color: #000;
}

h1 {
  font-family: "Orbitron", "Nova Flat - Regular", sans-serif;
  color: var(--secondary-color);
  font-size: 42px;
  font-weight: 400;
}

h2 {
  font-family: "Inter", sans-serif;
  color: var(--white-color);
}

#bgStars{
  position: fixed;
  top:0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
  pointer-events: none;
  background-color: transparent;
}

.botoes {
  display: flex;
  gap: 32px;
  margin-top: 32px;

  a {
    text-decoration: none;
    color: var(--white-color);
    font-size: 24px;
    font-family: "Nova Flat - Regular", sans-serif;
    background-color: var(--secondary-color);
    padding: 8px 8px 8px 20px;
    display: flex;
    align-items: center;
    gap: 16px;
    border-radius: 40px;
    opacity: 90%;
    color: var(--black-color);
  }

  .botaoSecundario {
    background-color: var(--black-color);
    color: var(--white-color);
    border: 2px solid var(--secondary-color);
  }
}

header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 32px 4vw;
  position: fixed;
  z-index: 99;
}

header img {
  width: 100%;
  height: 100%;
  color: var(--secondary-color);
}

body {
  background-color: var(--bg-color);
  color: var(--white-color);
  overflow-x: hidden;
}

.transicao {
  width: 100%;
  height: 100vh;
  position: relative;
  overflow: hidden;
}

.hero {
  height: 100%;
  padding: 80px 0;
  display: flex;
  overflow: hidden;
  position: relative;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  .bg {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;

    video {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 1;
      display: block;
      object-fit: cover;
    }
  }

  .bg img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    align-items: center;
    top: 0;
    left: 0;
    transform: rotate(180deg);
  }

  .subtitulo {
    position: relative;
    width: 350px;
    height: 56px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    opacity: 80%;
    margin-bottom: 84px;

    &::after {
      content: " ";
      width: 100%;
      height: 100%;
      position: absolute;
      background-color: rgba(0, 0, 0, 0.2);
      opacity: 0.2;
      z-index: 1;
    }
  }

  video {
    position: absolute;
    height: 100%;
    width: clamp(100%, 100vw, 100vh);
    z-index: -1;
    object-fit: cover;
    top: 0;
    left: 0;
  }

  h3 {
    font-size: 16px;
    z-index: 2;
    font-weight: 400;
    mix-blend-mode: color-dodge;
    color: rgb(216, 216, 216);
  }

  .conteudo {
    display: flex;
    width: 100vw;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 13vw;

    h2 {
      font-size: clamp(36px, 6vw, 72px);
      text-align: center;
      font-weight: 500;
      margin-top: 5vh;
      margin-bottom: 6vh;
    }

    p {
      text-align: center;
      width: 80%;
      font-size: clamp(32px, 2vw, 24px); /* Clamp( Med min, idedal, ma´xima) */
      line-height: clamp(24px, 1.8vw, 1.8vw);
      margin-top: 0;
      margin-bottom: 2vw;
      line-height: 1.2;
      font-family: "inter", sans-serif;
    
    }
  }
}

.retangulos {
  width: 100%;
  height: 102vh;
  top: -1vh;
  position: absolute;
  left:0;
  display: flex;
  pointer-events: none;

  div {
    flex: 1;
    height: 100%;
    background-color: var(--black-color);
    width: 100%;
    border: solid 2px var(--black-color);
    height: 100%;
    transform-origin: top;
    transform: scaleY(0);
  }
}

.frase-transicao {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  padding: 4vw;
  z-index: 999;
  top: 0;
  left: 0;
  pointer-events: none;
  opacity: 0;

  h2 {
    font-size: clamp(4vw, 5vh, 5vw);
    font-weight: 400;
    color: var(--white-color);
    opacity: 80%;
    text-align: center;
  }
}

.frase-transicao.revelar {
  clip-path: circle(150% at 50% 50%);
}

.Portifolio {
  margin-top: 100px;
  width: 100%;
  align-items: center;
  justify-content: center;
  z-index: 1000;

  h2 {
    font-size: clamp(48px, 3vh, 3vw);
    text-align: center;
    font-weight: 500;
    margin-top: 84px;
    margin-bottom: 72px;
    color: var(--white-color);
  }

  p {
    text-align: center;
    font-size: clamp(36px, 1.2vh, 1.2vw);
    width: 80%;
    margin-top: 0;
    margin-bottom: 60px;
    font-family: "Inter", sans-serif;
    margin: auto;
    position: relative;
  }

  .projetos-destaque {
    width: 100%;
    padding-top: 80px;

    .swiper {
      width: 100%;
      height: 70%;
      padding-top: 4vh;
      padding-bottom: 4vh;
      overflow: visible !important;
    }

    .swiper-slide {
      background-position: center;
      background-size: cover;
      width: 60%;
      height: 45%;
      border-radius: 20px;
      overflow: hidden;
      opacity: 0.6;
      filter: blur(4px) grayscale(80%);
      transform: scale(0.85);
      transition: all 0.4s ease-in-out;
    }

    .swiper-slide img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    .swiper-slide-active {
      opacity: 1;
      filter: blur(0) grayscale(0);
      transform: scale(1.1) translateY(-4vh) !important;
      z-index: 10;
      box-shadow: 0 20px 40px rgba(0, 0, 0, 0.5);
    }

    .swiper-button-next,
    .swiper-button-prev {
      display: none;
      background-color: rgba(255, 255, 255, 0);
      width: 50%;
      height: 100%;
      border-radius: 10%;
      opacity: 0;
      margin-top: 0;
      top: 0;
      z-index: -2;
    }

    .swiper-button-prev {
      left: 0;
    }

    .swiper-button-next {
      right: 0;
    }
  }
}

.diferenciais {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  
  h2{
    font-size: 6vw;
    position: absolute;
    font-family: "Nova Flat - Regular", sans-serif;
    font-weight: 400;
    letter-spacing: 0.5rem;
    text-align: center;
    width: 100%;
  }

  .diferenciais h2 div{
    text-align: center !important;
    width: 100%;
  }

}

footer {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: row;
  align-items: end;
  justify-content: space-between;
  padding: 4vw;
  overflow: hidden;

  p {
    text-align: center;
    font-family: "Inter", sans-serif;
  }

  div {
    display: flex;
    align-items: center;
  }

  .esquerda {
    flex-direction: column;

    a {
      text-decoration: none;
      color: var(--white-color);
      text-align: end;
    }

    h2 {
      font-size: 8vw;
      font-family: "Nova Flat - Regular", sans-serif;
    }
  }

  .direita {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: end;

    h2 {
      text-align: end;
    }

    p {
      margin: 32px 0;
    }
  }

  .bg {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100vh;

    video {
      position: absolute;
      top: 0;
      left: 0;
      z-index: 1;
    }
  }

  .bg img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    transform: scale(2);
  }

  video {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 100;
    object-fit: cover;
    transform: rotate(180deg) scale(1.1);
    top: 0;
    left: 0;
  }

  .botoes {
    justify-content: center;
  }
}
